# -*- mode: ruby -*-
# vi: set ft=ruby :

# All Vagrant configuration is done below. The "2" in Vagrant.configure
# configures the configuration version (we support older styles for
# backwards compatibility). Please don't change it unless you know what
# you're doing.
Vagrant.configure("2") do |config|
  config.vm.define "linux" do |linux|
    linux.vm.box = "bento/ubuntu-20.04"
    linux.vm.provider "virtualbox" do |vb|
      vb.memory = "2048"
    end
    linux.vm.provision "shell", inline: <<-SHELL
        apt-get update
        apt-get install -y openjdk-8-jdk
    SHELL
  end
  config.vm.define "win" do |win|
    win.vm.box = "gusztavvargadr/windows-server"
    win.vm.provision "shell", inline: <<-SHELL
        choco install AdoptOpenJDK8 -y --params="/INSTALLLEVEL=2"
        choco install -y nano
    SHELL
  end
end
